package cn.org.bjca.trust.java.imserver.repository;

import cn.org.bjca.trust.java.imserver.im.msg.msg.SZYXMessage;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface MessageRepository extends JpaRepository<SZYXMessage, Long> {


    @Query("select msg from SZYXMessage as msg  " +
            "where msg.appId = ?1 and msg.userName = ?2 and (msg.fromClientId=?3 or msg.groupID=?3 or msg.toClientId=?3)" +
            "and msg.timestamp<?4 order by msg._id desc ")
    List<SZYXMessage> getHistoryForCount(String appId, String userName, String userId, long timestamp, Pageable pageable);

}
